---
# tasks file for roles/ae-dir-server

- name: "Install base OS packages"
  zypper:
    name:
      - acl
      - openssl
      - "{{ cron_pkg_name }}"
      - tar
      - gzip
      - gpg2
      - ca-certificates
      - python3-base
      - zypper
    state: present
    disable_recommends: yes
    type: package

- name: "Install alternative malloc package {{ aedir_malloc_package }}"
  zypper:
    name: "{{ aedir_malloc_package }}"
    state: present
    disable_recommends: yes
    type: package
  when: aedir_malloc_package!=""

- name: "Add zypper repos for {{ ansible_lsb.description }}"
  zypper_repository:
    state: present
    enabled: yes
    overwrite_multiple: yes
    auto_import_keys: yes
    autorefresh: yes
    name: "{{ item.key }}"
    repo: "{{ item.value.repo }}"
    priority: 90
  with_dict: "{{ aedir_pkg_repos }}"

- name: "Refresh all repos on {{ ansible_lsb.description }}"
  zypper_repository:
    repo: '*'
    runrefresh: yes
